Name:           mailfront-plugin-check-dnsbl
Summary:        A mailfront plugin to provide DNSBL/DNSWL checking of sender's IP address and to defer, reject or accept mails based on its check.
Version:        0.06
Release:        1%{?dist}
License:        GPL
Group:          Utilities/System
URL:            http://choon.net/mailfront-plugin-check-dnsbl.php
Source:         http://choon.net/opensource/mailfront-plugin-check-dnsbl-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc >= 3.4.6
BuildRequires:  make
BuildRequires:  bglibs-devel >= 2.03
BuildRequires:  mailfront-devel >= 2.12
Requires:       bglibs >= 2.03
Requires:       mailfront >= 2.12
Requires:       ucspi-tcp >= 0.88


%description
Plugin: check-dnsbl

This plugin provides IPv4/IPv6 DNSBL/DNSWL checking of sender's IP address
and to defer, reject or accept mails based on its check.  This plugin will
add its checking results to each mail message header for all mails accepted
depending on environment variables configurations.

Refer README for more information.

IMPORTANT: This plugin version is written for and tested with mailfront
version 2.12.


%prep
%setup -q
# for bglibs
# conf-bgincs default is /usr/local/bglibs/include
echo %{_includedir}/bglibs > conf-bgincs
# conf-bglibs default is /usr/local/bglibs/lib
echo %{_libdir}/bglibs > conf-bglibs
# conf-ld default is gcc -s -L/usr/local/lib
echo "gcc -Wall -g -O2 -s -rdynamic" >conf-ld
# conf-mailfrontincs default is /usr/local/include/mailfront
echo %{_includedir}/mailfront > conf-mailfrontincs
# conf-modules default is /usr/local/lib/mailfront
echo %{_libdir}/mailfront > conf-modules
echo "gcc %{optflags}" >conf-cc
# conf-ccso default is gcc -W -Wall -Wshadow -O -g -I/usr/local/include -fPIC -shared
echo "gcc %{optflags} -fPIC -shared" >conf-ccso
echo "gcc -s -rdynamic" >conf-ld
#echo %{_bindir} >conf-bin
echo %{_libdir}/mailfront >conf-modules
echo %{_includedir} >conf-include

%build
make


%install
rm -fr %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/mailfront
install -m0755 plugin-check-dnsbl.so %{buildroot}/%{_libdir}/mailfront/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%license COPYING
%doc README CHANGES
%{_libdir}/mailfront/plugin-check-dnsbl.so

%changelog

* Tue Feb 06 2018 Giam Teck Choon <choonrpms@choon.net> 0.06-1
- Remove BuildRequires: libowfat-devel
- Remove Requires: libowfat-shared
- Remove html doc

* Mon Jul 03 2017 Giam Teck Choon <choon@choon.net> 0.04-1
- Add variables to handle IPv4 and IPv6 separately

* Fri Sep 02 2016 Giam Teck Choon <choonrpms@choon.net> - 0.04-1
- Update to version 0.04
- Update BuildRequires bglibs-devel >= 2.03
- Update BuildRequires mailfront-devel >= 2.12
- Update Requires bglibs >= 2.03
- Update Requires mailfront >= 2.12
- Update BuildRequires libowfat-devel >= 0.30
- Update Requires libowfat-shared >= 0.30

* Thu Jul 23 2013 Giam Teck Choon <choonrpms@choon.net> - 0.03-1
- Add IPv6 support

* Sun Jun 23 2013 Giam Teck Choon <choonrpms@choon.net> - 0.02-1
- Fix bug in defer/reject message being corrupted due to freeing not suppose
  to free tmpstr by using global str estr instead
- Coding style change to 2 SPACING instead of using TAB

* Mon Jun 10 2013 Giam Teck Choon <choonrpms@choon.net> - 0.01-1
- Initial Release
